### Function

# FwupdPlugin Device internal_flag_to_string

since: 1.5.5

#### Declaration [src]

    const gchar*
    fu_device_internal_flag_to_string (
      FuDeviceInternalFlags flag
    )

#### Description [src]

Converts an internal device flag to a string.

Available since: 1.5.5

#### Parameters

`flag`

  Type: `FuDeviceInternalFlags`

  An internal device flag, e.g. `FU_DEVICE_INTERNAL_FLAG_MD_SET_ICON`.

#### Return value

Type: `const gchar*`

Identifier string.

The data is owned by the called function.
The value is a NUL terminated UTF-8 string.